* Encoding: UTF-8.
/*********************************************************************************************************/
/*                                                                                                                                                                           */
/* This SPSS program will extract the United States Sentencing Commission's Compassionate */
/*  Release: The Impact of the First Step Act and COVID-19 Pandemic file and create a SPSS      */
/* dataset.                                                                                                                                                           */
/*                                                                                                                                                                          */
/* Prior to running the program you must update the DAT file location in the                                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                           */
/* computer.                                                                                                                                                       */
/*                                                                                                                                                                          */
/* You must also update the file output location in the SAVE OUTFILE statement at the                  */
/* end of the program to correspond to the folder you want the output file to be located.                  */
/*                                                                                                                                                                          */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\USSC_Comp_Release_Public.dat" ENCODING="CP1252" / LRECL=182 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              OS_NEWCNVTN 8-10         OS_NEWRACE 11-13      
   OS_NEWCIT 14-16          OS_ACCAP 17-19           OS_CAROFFAP 20-22     
   OS_WEAPSOC 23-25         OS_OFFGUIDE 26-28        CRCIRCDIST 29-31      
   CRGOVOBJ 32-34           CRMONCIRC 35-37          MOTSTAT 38-40         
   CRSENTMON 41-43          OP_MONSEX 44-46          SAFEYN 47-49          
   AGGROLYN 50-52           MITROLYN 53-55           OBSTRCYN 56-58        
   OP_XCRHISSR 59-61        GUNDUM 62-64             TSERVEDM 65-72        
   TSERVEDP 73-80           REDUCTP 81-88            SLENGTH 89-91         
   CRAGECAT 92-94           ORIGINATOR 95-97         NONDUP_GREAS1 98-100  
   NONDUP_GREAS2 101-103    NONDUP_GREAS3 104-106    NONDUP_GREAS4 107-109 
   NONDUP_GREAS5 110-112    GC_COVID_ANY 113-115     COVID_CAT 116-118     
   CRSENTYPE 119-121        COL_CRSENTYPE 122-124    UNDUP_GROUPD1 125-127 
   UNDUP_GROUPD2 128-130    UNDUP_GROUPD3 131-133    UNDUP_GROUPD4 134-136 
   UNDUP_GROUPD5 137-139    UNDUP_GROUPD6 140-142    D_ANYEXHAUST 143-145  
   D_ONLYEXHAUST 146-148    D_ANY3553PROT 149-151    D_ONLY3553PROT 152-154
   D_ANYEIGHTY 155-157      D_ONLYEIGHTY 158-160     INREPORT 161-163      
   DENIAL_SAMP 164-166      REDUCTM 167-174          OS_SENSPLT0 175-182 . 


FORMATS
  TSERVEDP (F9.1) /        REDUCTP (F9.1) /         REDUCTM (F9.2) /       
  OS_SENSPLT0 (F9.2) / .


SAVE OUTFILE='.\USSC_Comp_Release_Public.sav'.
